create procedure sistema.sp_guardarEmpresaUsuarioModulo
@numAsignacion int,
@numUsuario int,
@numModulo int,
@numEmpresa int,
@numCodempresa int,
@txtEmpresa varchar(300),
@numSuperior int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;
	if @numAsignacion = 0
		begin
			insert into sistema.config_empresasUsuario(idUsuario,idModulo,idSuperior,idEmpresa,codempresa,nombreEmpresa) values(@numUsuario,@numModulo,@numSuperior,@numEmpresa,@numCodempresa,@txtEmpresa);
			SELECT @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numAsignacion;
			update sistema.config_empresasUsuario set idModulo = @numModulo,idSuperior = @numSuperior,idEmpresa = @numEmpresa,codempresa = @numCodempresa,nombreEmpresa = @txtEmpresa WHERE id = @dbId;
		end

	set @dbRespuesta = 'success';
end